Get a delivery
GET
/v1/projects/{projectId}/webhook-endpoints/{endpointId}/deliveries/{deliveryId}curl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/webhook-endpoints/{endpointId}/deliveries/{deliveryId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
- endpointIdstring必填
- deliveryIdstring必填
响应
Success
- dataobject必填
- payloadobject必填
- requestHeadersobject必填
- responseExcerptstring | null必填
- idstring必填
- endpointIdstring必填
- eventIdstring必填
- eventTypestring必填
- occurredAtstring必填
- statestring必填可选值queuedfailedleaseddelivered
- attemptCountnumber必填
- firstAttemptAtstring | null必填
- lastAttemptAtstring | null必填
- responseStatusnumber | null必填
- failureCodestring | null必填
- createdAtstring必填
- metaobject必填
- requestIdstring必填
响应示例
{
"data": {
"payload": {},
"requestHeaders": {},
"responseExcerpt": "string",
"id": "string",
"endpointId": "string",
"eventId": "string",
"eventType": "string",
"occurredAt": "string",
"state": "queued",
"attemptCount": 0,
"firstAttemptAt": "string",
"lastAttemptAt": "string",
"responseStatus": 0,
"failureCode": "string",
"createdAt": "string"
},
"meta": {
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1